<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace Quivers\Integration\Controller\Sales\Adminhtml\Order;

class ValidateOrderAction
{

    /**
     * Validate if unhold action can be performed or not.
     * @return 
     */
    public static function validateOrderAction($orderId, $quiversSandbox, 
            $quiversAPIKey, $curlClient) {
        $orderUpdateValidateUrl = 'https://konect.quiversdemo.com/clients/validate/order/';
        if($quiversSandbox == 0) {
            $orderUpdateValidateUrl = "https://konect.quivers.com/clients/validate/order/";
        }

        $payload = array(
            'client_type'=> 'MAGENTO',
            'order_number'=> $orderId,
        );

        $curlClient->addHeader("Content-Type", "application/json");
        $curlClient->addHeader("Authorization", "apikey ".$quiversAPIKey);
        
        # Setup request to send json via POST.
        $curlClient->post($orderUpdateValidateUrl, json_encode($payload));

        $response = $curlClient->getBody();

        if($curlClient->getStatus()!=200) {
            return false;
        }
        $responseDecoded = json_decode($response, true);

        foreach ($responseDecoded as $key => $item) {
            if( $item['Value'] == 60 && $item['performed_by'] == 'Retailer' ) {
                return false;
            }
        }

        return true;
    }

}
